# forwarded-host
Determine the host of the originating request

## Installation

The module is released in the npm registry:

```
npm install --save forwarded-host
```

## Getting started

Include the module in to your application:

```js
'use strict';

var forwarded = require('forwarded-host');

require('http').createServer(function (req, res) {
  var url = forwarded(req, req.headers);

  res.end('Your url is '+ url);
}).listen(8080);
```

Run the service behind a proxy and as long as X-Forwarded-Host is sent in the header, the URL should be correct.
